Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## peak.can.basic
Enum TPCANDevice

    java.lang.Object
      java.lang.Enum<TPCANDevice>
          peak.can.basic.TPCANDevice

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TPCANDevice>

    public enum TPCANDevice

extends java.lang.Enum<TPCANDevice>

Represents a PCAN device

Enum Constant Summary
`PCAN_DNG` PCAN-Dongle
`PCAN_ISA` PCAN-ISA, PCAN-PC/104, and PCAN-PC/104-Plus
`PCAN_NONE` Undefined, unknown or not selected PCAN device value
`PCAN_PCC` PCAN-PC Card
`PCAN_PCI` PCAN-PCI, PCAN-cPCI, PCAN-miniPCI, and PCAN-PCI Express
`PCAN_PEAKCAN` PCAN Non-Plug&Play devices.
`PCAN_USB` PCAN-USB and PCAN-USB Pro

Method Summary
`byte` | `getValue()`
`static TPCANDevice` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TPCANDevice[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PCAN_NONE

    public static final TPCANDevice PCAN_NONE

  Undefined, unknown or not selected PCAN device value

### PCAN_PEAKCAN

    public static final TPCANDevice PCAN_PEAKCAN

  PCAN Non-Plug&Play devices. NOT USED WITHIN PCAN-Basic API

### PCAN_ISA

    public static final TPCANDevice PCAN_ISA

  PCAN-ISA, PCAN-PC/104, and PCAN-PC/104-Plus

### PCAN_DNG

    public static final TPCANDevice PCAN_DNG

  PCAN-Dongle

### PCAN_PCI

    public static final TPCANDevice PCAN_PCI

  PCAN-PCI, PCAN-cPCI, PCAN-miniPCI, and PCAN-PCI Express

### PCAN_USB

    public static final TPCANDevice PCAN_USB

  PCAN-USB and PCAN-USB Pro

### PCAN_PCC

    public static final TPCANDevice PCAN_PCC

  PCAN-PC Card

Method Detail

### values

    public static TPCANDevice[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TPCANDevice c : TPCANDevice.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TPCANDevice valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public byte getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD